package com.joanmoncho.ManejoFichero;

import java.io.File;
import java.io.IOException;

public class TreeCommand {
	
    public static void printFile(File f, String spaces) {
    	
        System.out.println(spaces.concat(File.separator).concat(f.getName()));
        if (f.isDirectory() && f.canRead()) {
            for (File file : f.listFiles()) {
                printFile(file, spaces.concat(" "));
            }
        }
    }
    
    public static void main(String[] args) throws IOException {
    	final String ANSI_RED = "\u001B[31m";
    	final String ANSI_RESET = "\u001B[0m";
        
    	printFile(new File(".."), "");
    }
    
}